Subject: bug#26187: Bug in indent-sexp

From: Gdobbins <[email-masked]>
Date: Tue, 21 Mar 2017 00:24:23 -0400

I have not yet done a copyright assignment.

-- Graham Dobbins

-------- Original Message --------
Subject: Re: bug#26187: Bug in indent-sexp
Local Time: March 20, 2017 11:20 PM
UTC Time: March 21, 2017 3:20 AM
From: [email-masked]
To: Gdobbins <[email-masked]>
[email-masked]

tags 26187 patch
quit

Gdobbins <[email-masked]> writes:

> Sure. In the form:
>
> (defun lisp-indent-defform (state _indent-point)
> (goto-char (car (cdr state)))
> (forward-line 1)
> (if (> (point) (car (cdr (cdr state))))|
> (progn
> (goto-char (car (cdr state)))
> (+ lisp-body-indent (current-column)))))
>
> where | is point, call indent-sexp and the result will be
>
> (defun lisp-indent-defform (state _indent-point)
> (goto-char (car (cdr state)))
> (forward-line 1)
> (if (> (point) (car (cdr (cdr state))))|
> (progn
> (goto-char (car (cdr state)))
> (+ lisp-body-indent (current-column)))))
>
> which is incorrect.

Hmm, the original behaviour is that no indentation happens at all which
seems kind of odd to me. But that's better than breaking things I
guess. Have you done copyright assignment for Emacs, or should I mark
your patch as a tiny change?